.summary-card {
  @include animation('slide-in-down .2s .3s 1 ease-in both');

  .title {
    a {
      font-family: $title-font;
      font-weight: 700;
      word-break: break-word;

      @include themify($themes) {
          color: themed('title-color');
          @include on-event {
            color: themed('link-hover');
          }
      }
    }
  }

  .subtitle {
    @include themify($themes) {
      color: themed('meta-color');
    }
  }

  &__content {
    @include flexbox();
    @include flex-direction(column);
    @include justify-content(center);
  }

  &__text {
    margin-top: 1rem;
    line-height: 1.7rem;
  }

  &__image {
    width: 100%;
    height: 100%;
    @include animation('slide-in-left .2s .6s 1 ease-in both');
   
    &-wrapper {
      height: 100%;
      width: auto;
      margin: 0 auto;
      padding: 1rem;
      padding-bottom: 0;
    }
  }

  &__video {
    width: 100%;
    max-height: 500px;
    object-fit: contain;

    &-wrapper {
      padding: 1rem;
      padding-bottom: 0;
    }
  }

  hr {
    margin-top: 1.5rem;
    @include themify($themes) {
        border-top: 1px solid themed('hr-color');
    }
  }
  &:not(:last-child) {
    hr {
      margin-bottom: 4rem;      
    }
  }
  &:last-child {
    hr {
      margin-bottom: 2rem;
    }
  }
}

.summary-classic {
  padding: 0 1rem;
  @include flexbox();
  @include flex-direction(column);
  @include animation('slide-in-down .2s .3s 1 ease-in both');

  .title {
    font-size: 24px;

    a {
      font-family: $title-font;
      font-weight: 700;
      word-break:break-word;

      @include themify($themes) {
          color: themed('title-color');
          @include on-event {
            color: themed('link-hover');
          }
      }
    }
  }

  .subtitle {
    @include themify($themes) {
      color: themed('meta-color');
    }
  }

  &__flex-box {
    @include flexbox();
    
    margin-top: 1rem;
    margin-bottom: 1rem;

    &[data-position="left"] {
      @include justify-content(space-between);
    }
  }

  &__content {
    width: 100%;
    
    @include flexbox();
    @include flex-direction(column);
    @include justify-content(flex-start);
  }

  &__text {
    margin-top: 1rem;
    line-height: 1.7rem;
  }

  &__image {
    width: 100%;
    height: 100%;
    object-fit: contain;

    @include animation('slide-in-left .2s .6s 1 ease-in both');
        
    &-wrapper {
      max-width: 130px;
      min-width: 130px;
      overflow: hidden;
      border-radius: 0.25rem;
      padding: 0.25rem;
      margin-right: .5rem;
      
      @include transition(all, 0.2s, ease-out);
      @include align-self(center);
      @include on-event {
        @include box-shadow(1px, 1px, 3px, 0px, rgba(0, 0, 0, 0.25));
        background-color: rgba(125, 125, 125, 0.1);
      }
      @media only screen and (max-width: 769px) {
        max-width: 90px;
        min-width: 90px;
      }
    }
  }

  hr {
    @include themify($themes) {
        border-top: 1px solid themed('hr-color');
    }
  }

  &:not(:last-child) {
    hr {
      margin-bottom: 1.5rem;      
    }
  }
  
  &:last-child {
    hr {
      display: none;
    }
  }
}

.summary-compact {
  padding: 0 1rem;
  @include animation('slide-in-down .2s .3s 1 ease-in both');

  .title {
    a {
      @include themify($themes) {
        color: themed('title-color');
        @include on-event {
          color: themed('link-hover');
        }
      }
    }
  }

  .subtitle {
    @include themify($themes) {
      color: themed('meta-color');
    }
  }
  
  &__flexbox {
    @include flexbox();
    margin-top: 1rem;
    margin-bottom: 1rem;
  }

  &__meta {
    padding: 1rem 0;
    overflow-wrap: break-word;
  }

  &__tag {
    font-size: 0.8rem;
    line-height: 0.8rem;
    padding: 0.25rem;
    margin: 0 0.25rem;
    border: none;
    border-radius: 0.2rem;
    text-transform: capitalize;
    cursor: pointer;

    @include themify($themes) {
      color: themed('body-color');
      background-color: themed('taxo-tags-background-color');
    }

    &--wrapper {
      margin-top: 0.75rem;

      @include flexbox();
    }
  }

  hr {
    @include themify($themes) {
        border-top: 1px solid themed('hr-color');
    }
  }
}